Name:           python-betse
Version:        1.5.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        The BioElectric Tissue Simulation Engine (BETSE) is a discrete exterior calculus simulator for 2D computational multiphysics problems in the life sciences -- including (electro)diffusion, (electro)osmosis, galvanotaxis, voltage-gated ion channels, gene regulatory networks, and biochemical reaction networks.

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MIT
URL:            https://github.com/betsee/betse
Source:         %{pypi_source betse}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'betse' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-betse
Summary:        %{summary}

%description -n python3-betse %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-betse all,doc,test,test-tox,test-tox-coverage


%prep
%autosetup -p1 -n betse-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x all,doc,test,test-tox,test-tox-coverage


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-betse -f %{pyproject_files}


%changelog
%autochangelog